petsc-3.12.1 2019-10-22
Report Typos and Errors

# KSPSetSupportedNorm

Sets a norm and preconditioner side supported by a KSP

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPSetSupportedNorm(KSP ksp,KSPNormType normtype,PCSide pcside,PetscInt priority)

Logically Collective

### Input Arguments

| ksp | - Krylov method
| normtype | - supported norm type
| pcside | - preconditioner side that can be used with this norm
| priority | - positive integer preference for this combination; larger values have higher priority

### Notes

This function should be called from the implementation files KSPCreate_XXX() to declare which norms and preconditioner sides are supported. Users should not need to call this function.

### See Also

KSPSetNormType(), KSPSetPCSide()

### Level

developer

### Location

src/ksp/ksp/interface/itcreate.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages